Subject: [PATCH v4 19/26] ARM: pxa: magician: Add support for Omnivision OV9640 camera

From: [email-masked] (Petr Cvek)
Date: Thu, 8 Oct 2015 08:05:25 +0200

Dne 7.10.2015 v 21:49 Robert Jarzmik napsal(a):
> Philipp Zabel <[email-masked]> writes:
> 
>> Am Montag, den 28.09.2015, 23:38 +0200 schrieb Petr Cvek:
>>> This patch adds support for an OV9640 camera to the HTC Magician
>>> machine.
>>>
>>> Signed-off-by: Petr Cvek <[email-masked]>
>>
>> Still untested, but looks good to me.
> I'm still reluctant to have the reset with the timings handled in the board code
> as I consider this should be in the camera driver code
> (magician_camera_reset()).

It supports an actual state of the OV9640 driver handling. But I can exclude it until
OV9640 will be transitioned. I don't have enough information about gpiod and soc-camera
and not enough time to maintain multiple different (and dependent) patchsets.

I forgot to test the timings ... actually I think I forgot results :-D . It was around the same time
I have found I2C fast mode is not working. Will test again.

Petr